package com.steerinfo.ems.dispatchenergylogact.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class DispatchEnergyLogAct implements IBasePO<String> {
    /**
     * 主键(ID,VARCHAR,40)
     */
    @ApiModelProperty(value="主键",required=true)
    private String id;

    /**
     * 日志编号(CLOCK,VARCHAR,20)
     */
    @ApiModelProperty(value="日志编号",required=true)
    private String clock;

    /**
     * 编制时间(TIM,VARCHAR,30)
     */
    @ApiModelProperty(value="编制时间",required=false)
    private String tim;

    /**
     * 工作实绩(ACT_LOG,VARCHAR,1000)
     */
    @ApiModelProperty(value="工作实绩",required=false)
    private String actLog;

    /**
     * 数据(DATA_LOG,VARCHAR,1000)
     */
    @ApiModelProperty(value="数据",required=false)
    private String dataLog;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getTim() {
        return tim;
    }

    public void setTim(String tim) {
        this.tim = tim == null ? null : tim.trim();
    }

    public String getActLog() {
        return actLog;
    }

    public void setActLog(String actLog) {
        this.actLog = actLog == null ? null : actLog.trim();
    }

    public String getDataLog() {
        return dataLog;
    }

    public void setDataLog(String dataLog) {
        this.dataLog = dataLog == null ? null : dataLog.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", clock=").append(clock);
        sb.append(", tim=").append(tim);
        sb.append(", actLog=").append(actLog);
        sb.append(", dataLog=").append(dataLog);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}